﻿/* reset 样式重置 */
/* 内外边距通常各个浏览器样式表现位置不同,重置内外边距*/
body,h1,h2,h3,h4,h5,p,dl,dd,ul,ol,form,input,textarea,th,td,select { margin:0; padding:0; }
em { font-style:normal; }
li { list-style:none; }
a { text-decoration:none;color: #434343;-webkit-tap-highlight-color:rgba(0,0,0,0); }
img { border:none; vertical-align:top; }  /* 去除IE下默认边框,顶部对齐 */
table{                                    /* 去掉各Table cell 的边距并让其边重合 */
border-collapse:collapse;border-spacing:0;
}

input,textarea { border:none; outline:none }
textarea { resize:none; overflow:auto; }
input[type=button], input[type=submit], input[type=file], button { cursor: pointer; -webkit-appearance: none; } 
/*默认字体:要注意表单元素并不继承父级 font 的问题 */
body,input, label, select, option, textarea, button, fieldset, legend{
 /* 字体大小/行高(12px),字体样式(前三个国外用的多),宋体(后两个编码过的宋体，国内用的多) */
 /*font:12px/1.5 Arial, Helvetica, sans-serif,\5b8b\4f53;*/ 
 font:400 14px/1.5 Tahoma,"Lucida Grande",Verdana,"Microsoft Yahei",STXihei,hei;
}
input, label, select, option, textarea, button, fieldset, legend{
font-size:100%;
}
/*body html 的宽高*/
body,html{
    width: 100%;
    height: 100%;
}

button,
div,
input,
select {
	-webkit-tap-highlight-color: rgba(0, 0, 0, 0);
	tap-highlight-color: rgba(0, 0, 0, 0)
}


article,
aside,
audio,
canvas,
caption,
details,
div,
figure,
footer,
header,
hgroup,
iframe,
img,
mark,
menu,
nav,
object,
section,
span,
summary,
table,
tbody,
tfoot,
thead,
tr,
video {
	border: 0;
	margin: 0;
	padding: 0
}

body,
html,
td {
	border: 0;
	margin: 0
}

a,
abbr,
address,
b,
blockquote,
cit,
code,
dd,
del,
dfn,
dl,
dt,
em,
fieldset,
h1,
h2,
h3,
h4,
h5,
h6,
hr,
i,
ins,
label,
legend,
li,
ol,
p,
pre,
q,
samp,
small,
strong,
sub,
sup,
ul {
	border: 0;
	font-size: 100%;
	vertical-align: baseline;
	margin: 0;
	padding: 0
}

article,
aside,
audio,
canvas,
figcaption,
figure,
figure img,
footer,
header,
hgroup,
nav,
section,
video {
	display: block
}

* {
	-webkit-box-sizing: border-box;
	box-sizing: border-box
}

button,
input,
optgroup,
select,
textarea {
	color: inherit;
	font: inherit;
	margin: 0
}

optgroup,
textarea {
	padding: 0
}

table {
	border-collapse: collapse;
	border-spacing: 0
}

td,
th {
	padding: 0
}

button,
input,
select {
	width: 100%;
	border-width: 0;
	outline: 0;
	padding: 0;
	-webkit-appearance: none;
	border-radius: 0
}

button:focus,
input:focus,
select:focus {
	outline: 0
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
	-webkit-appearance: none;
	margin: 0
}

a img {
	border: 0
}

a {
	text-decoration: none;
	color: inherit
}

ol,
ul {
	list-style: none
}


/*input::-webkit-input-placeholder,
textarea::-webkit-input-placeholder {
	color: #FFFFFF;
}

input:-moz-placeholder,
textarea:-moz-placeholder {
	color: #FFFFFF;
}

input::-moz-placeholder,
textarea::-moz-placeholder {
	color: #FFFFFF;
}

input:-ms-input-placeholder,
textarea:-ms-input-placeholder {
	color: #FFFFFF;
}*/







/* end reset */
/* ----------------------------------------------------------------------- */

/* public 公共部分*/
.clear { zoom:1; clear:both;}   /* 兼容IE浏览器清除浮动 */
.clear:after { content:''; display:block; clear:both; }
.fl { float:left; } /* 左浮动，与右浮动 */
.fr { float:right; }
.gradient {         /*  线性渐变兼容写法 */
	background:-moz-linear-gradient(top, #FFFFFF, #f8f8f8);
	background:-webkit-linear-gradient(top, #FFFFFF, #f8f8f8);
	background:-ms-linear-gradient(top, #FFFFFF, #f8f8f8);
	background:linear-gradient(top, #FFFFFF, #f8f8f8);
	/* IE 8-9渐变写法 IE依靠滤镜实现渐变。startColorstr表示起点的颜色，endColorstr表示终点颜色。GradientType表示渐变类型，0为缺省值，表示垂直渐变，1表示水平渐变。 */
	-ms-filter:"progid:DXImageTransform.Microsoft.gradient (GradientType=0, startColorstr=#FFFFFF, endColorstr=#f8f8f8)";
	background:#f9f9f9; /* IE6,7只让它看单颜色 */
}
/* 在 IE 8-9 滤镜中使用 0-100 表示透明度，因此 opacity=40 相当于 Opacity 属性为 0.4，亦即透明度为 40% */
.msopacity{  
    -ms-filter: progid:DXImageTransform.Microsoft.Alpha(opacity=40); /* IE8-9 */    
}
/*背景用rgba的兼容写法 IE6/7/8  具体用法文章链接:http://www.tuicool.com/articles/juiEFrb*/
.rgba{
   background: rgba(255,255,255,.1); /* 透明度为0.1的白色 . rgba的含义，r代表red，g代表green，b代表blue，红绿蓝是三原色。所有颜色都可以由这三种颜色拼合而成。a代表透明度  */
   filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#19ffffff,endColorstr=#19ffffff);  /* IE8 下兼容写法 */
}
/* CSS实现正,反三角形 */
.triangle_up, .triangle_down_red, .triangle_down_gray { position:absolute; width:0; height:0; overflow:hidden; border-left:4px solid transparent; border-right:4px solid transparent; }
.triangle_up { border-bottom:4px solid #ca0309; }   /* 正红小三角形 */
.triangle_down_red { border-top:4px solid #ca0309; } /* 倒红小三角形 */
.triangle_down_gray { border-top:4px solid #c4bdbd; } /* 倒灰小三角形 */
/* end public */
/* ------------------------------------------------------------------- */

/*鼠标划上变手型*/

.cursor-p {
	cursor: pointer;
}


/*1秒的过度类*/

.transition-1 {
	transition: all 1s;
	-moz-transition: all 1s;
	/* Firefox 4 */
	-webkit-transition: all 1s;
	/* Safari 和 Chrome */
	-o-transition: all 1s;
	/* Opera */
}


/*1秒的过度类*/

.transition-2 {
	transition: all 2s;
	-moz-transition: all 2s;
	/* Firefox 4 */
	-webkit-transition: all 2s;
	/* Safari 和 Chrome */
	-o-transition: all 2s;
	/* Opera */
}


/*1秒的过度类*/

.transition-3 {
	transition: all 3s;
	-moz-transition: all 3s;
	/* Firefox 4 */
	-webkit-transition: all 3s;
	/* Safari 和 Chrome */
	-o-transition: all 3s;
	/* Opera */
}


/*1秒的过度类*/

.transition-4 {
	transition: all 4s;
	-moz-transition: all 4s;
	/* Firefox 4 */
	-webkit-transition: all 4s;
	/* Safari 和 Chrome */
	-o-transition: all 4s;
	/* Opera */
}


/*向左移动自身的50%宽度*/

.transformX-myleft50 {
	transform: translateX(-50%);
	-ms-transform: translateX(-50%);
	/* IE 9 */
	-moz-transform: translateX(-50%);
	/* Firefox */
	-webkit-transform: translateX(-50%);
	/* Safari 和 Chrome */
	-o-transform: translateX(-50%);
	/* Opera */
}


/*图片的宽度为100*/

.img-W100 {
	width: 100%;
}


/*图片的高度为100*/

.img-H100 {
	height: 100%;
}


/*display状态是block*/

.display-b {
	display: block;
}

/*display状态是inline-block*/

.display-ib {
	display: inline-block;
}

/*display状态是none*/
.display-n{
	display: none;
}

/*定位居中的*/

.oCenter {
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	-ms-transform: translate(-50%, -50%);
	/* IE 9 */
	-moz-transform: translate(-50%, -50%);
	/* Firefox */
	-webkit-transform: translate(-50%, -50%);
	/* Safari 和 Chrome */
	-o-transform: translate(-50%, -50%);
}


/* X轴居中 */

.oXCenter {
	position: absolute;
	left: 50%;
	-ms-transform: translateX(-50%);
	/* IE 9 */
	-moz-transform: translateX(-50%);
	/* Firefox */
	-webkit-transform: translateX(-50%);
	/* Safari 和 Chrome */
	-o-transform: translateX(-50%);
	transform: translateX(-50%);
}


/*一般下面的注册或者是确认按钮*/
.a-btn{
	display: block;
	text-align: center;
	margin: 0 auto;
	margin-top: 1rem;
	width: 13.8rem;
	height: 1.76rem;
	font-size: 0.76rem;
	color: #FFFFFF;
	line-height: 1.76rem;
	border-radius: 0.2rem 0.2rem;
}

/*一般的获取验证码的css*/
.git-VerificationCode{
	width: 4rem;
	text-align: center;
	border-left: 0.02rem solid #E5E5E5;
	position: absolute;
	color: #FFFFFF;
	height: 1rem;
	line-height: 1rem;
	right: 0;
	top: 50%;
	font-size: 0.48rem;
	transform: translateY(-50%);
	-ms-transform: translateY(-50%);
	/* IE 9 */
	-moz-transform: translateY(-50%);
	/* Firefox */
	-webkit-transform: translateY(-50%);
	/* Safari 和 Chrome */
	-o-transform: translateY(-50%);
}

/*文本超出出现省略号*/
.text-overflow-ell{
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}


/*上面边框显示*/
.borderShow-top{
	border-top: 0.02rem solid #ededed;
}
/*下面边框显示*/
.borderShow-bottom{
	border-bottom: 0.02rem solid #ededed;
}
/*左面边框显示*/
.borderShow-left{
	border-left: 0.02rem solid #ededed;
}
/*右面边框显示*/
.borderShow-right{
	border-right: 0.02rem solid #ededed;
}

/* 对imgBox的一些的设置 */

/*div[class$="Box"] {
	position: relative;
	overflow: hidden
}*/

.hideBodyHtml {
    overflow-y: hidden;
}

.show {
    display: block;
}
.none {
    display: none;    
}

/* 垂直居中 */
.centerY {
	top: 50%;
	transform: translateY(-50%);
	-ms-transform: translateY(-50%);
	/* IE 9 */
	-moz-transform: translateY(-50%);
	/* Firefox */
	-webkit-transform: translateY(-50%);
	/* Safari 和 Chrome */
	-o-transform: translateY(-50%);
}

.-img {
	display: block;
	width: 100%;
	height: 100%;
}
[v-cloak] {  
	display: none;  
} 